Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Subscription Operations
GETEvent Subscription OperationsSince 2.3.1SynchronousAuth Required

QueryEventSubscription

QueryEventSubscription

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      Th resource name.

    • namespaceStringRequired

      The namespace.

    • eventNameStringRequired

      The event name.

    • lastOpDateTimestampRequired

      The creation date.

    • createDateTimestampRequired

      The last operation date.

    • stateEventSubscriptionStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • actionsListRequired

      See actions.

      • subscriptionUuidStringRequired

        The event subscription UUID.

      • actionTypeStringRequired

        The action type.

      • actionUuidStringRequired

        The action UUID.

    • labelsListRequired

      See labels.

      • uuidStringRequired

        The resource UUID.

      • keyStringRequired

        The label key.

      • valueStringRequired

        The label value.

      • operatorOperatorRequired

        See operator.

        • opStringRequired

          操作符。

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

GET/zstack/v1/zwatch/events/subscriptions

/zstack/v1/zwatch/events/subscriptions

Operation ID

QueryEventSubscription

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/events/subscriptions' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "9404fe697a6b4d7dbac98065af20dc57", "namespace": "ZStack/VM", "eventName": "org.zstack.zwatch.datatype.EventFamily@80723ca", "state": "Enabled", "actions": [ { "subscriptionUuid": "650cf6a269284671a42f93631c87dfec", "actionType": "sns", "actionUuid": "fe296dcbc31c4afa9f76494b1930c8cc" } ], "labels": [ { "uuid": "d29fe54ca47540a9b20b308429f21434", "key": "DestinationHostUuid", "operator": "Equal", "value": "733509c8c5684c678ffe99f59d4aba21" } ], "lastOpDate": "Jul 6, 2018 1:51:00 PM", "createDate": "Jul 6, 2018 1:51:00 PM" } ] }

Change History

This API has no change history records yet.

View all change history